> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lead: Yardi

POST https://api.propexo.com/v1/leads/yardi/
Content-Type: application/json

Create Lead: Yardi. When creating an lead along with an event, Propexo will create a base event of type "Other" as an initial lead event. If the event is one of the valid "first contact" events in Yardi (such as Other, WalkIn, Chat, Email, Text, Webservice), then Propexo will create the lead with the associated "first contact" event type.| Interface      | Method                  |
| -------------- | ----------------------- |
| ILS Guest Card | ImportYardiGuest\_Login |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/yardi/leads/create-lead-yardi

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leads_yardi__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lead_source_id` (string, required) — The Propexo unique identifier for the lead source
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `third_party_id` (string, required) — A unique value provided to the PMS to uniquely identify the lead from your system.
- `first_name` (string, required) — The first name associated with the lead
- `last_name` (string, required) — The last name associated with the lead
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating a lead
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `phone_1` (string, optional) — Primary phone number associated with the lead
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the lead
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `email_1` (string, optional) — The primary email address associated with the lead
- `address_1` (string, optional) — The first address line associated with the lead
- `address_2` (string, optional) — The second address line associated with the lead
- `city` (string, optional) — The city associated with the lead
- `state` (string, optional) — The state associated with the lead
- `zip` (string, optional) — The zip code associated with the lead
- `target_move_in_date` (V1LeadsYardiPostInputTargetMoveInDate, optional) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `desired_lease_term_in_months` (string, optional) — The amount of months for the lease term
- `notes` (string, optional) — Notes associated with the lead
- `events` (list of V1LeadsYardiPostInputEventsItems, optional) — A list of events to create for the new lead
- `desired_max_rent_in_cents` (integer, optional) — The maximum rent cost the lead is looking to pay, in cents

## Response

### 200

Successful response

- `meta` (V1LeadsYardiPostOutputMeta, required)
- `result` (V1LeadsYardiPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeadsYardiPostInputTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1LeadsYardiPostInputEventsItems

- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `event_name` (enum, required) — The name or type of event. This has to be from a predefined set of events.
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Text`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`
- `event_datetime` (string, required) — The date when the event will occur
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
- `notes` (string, optional) — Notes associated with the event
- `reasons_for_event` (string, optional) — The reasons for the event

### V1LeadsYardiPostOutputMeta

- `job_id` (string, required)

### V1LeadsYardiPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lead_source_id` (string, required) — The Propexo unique identifier for the lead source
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `third_party_id` (string, required) — A unique value provided to the PMS to uniquely identify the lead from your system.
- `first_name` (string, required) — The first name associated with the lead
- `last_name` (string, required) — The last name associated with the lead
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating a lead
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit
- `phone_1` (string, required, nullable) — Primary phone number associated with the lead
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the lead
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `email_1` (string, required, nullable) — The primary email address associated with the lead
- `address_1` (string, required, nullable) — The first address line associated with the lead
- `address_2` (string, required, nullable) — The second address line associated with the lead
- `city` (string, required, nullable) — The city associated with the lead
- `state` (string, required, nullable) — The state associated with the lead
- `zip` (string, required, nullable) — The zip code associated with the lead
- `target_move_in_date` (V1LeadsYardiPostOutputResultTargetMoveInDate, required, nullable) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `desired_num_bedrooms` (double, required, nullable) — The desired number of bedrooms
- `desired_lease_term_in_months` (string, required, nullable) — The amount of months for the lease term
- `notes` (string, required, nullable) — Notes associated with the lead
- `events` (list of V1LeadsYardiPostOutputResultEventsItems, required, nullable)
- `desired_max_rent_in_cents` (integer, required, nullable) — The maximum rent cost the lead is looking to pay, in cents

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeadsYardiPostOutputResultTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1LeadsYardiPostOutputResultEventsItems

- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `event_name` (enum, required) — The name or type of event. This has to be from a predefined set of events.
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Text`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`
- `event_datetime` (string, required) — The date when the event will occur
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
- `notes` (string, optional) — Notes associated with the event
- `reasons_for_event` (string, optional) — The reasons for the event

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "lead_source_id": "leadsrc-456789123",
  "employee_id": "emp-789123456",
  "third_party_id": "tp-20240601-001",
  "first_name": "Emily",
  "last_name": "Johnson",
  "organization_name": "Sunset Realty Group"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240601-0001"
  },
  "result": {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "lead_source_id": "leadsrc-456789123",
    "employee_id": "emp-789123456",
    "third_party_id": "tp-20240601-001",
    "first_name": "Emily",
    "last_name": "Johnson",
    "organization_name": "Sunset Realty Group",
    "unit_id": "unit-101",
    "phone_1": "+1-555-123-4567",
    "phone_1_type": "MOBILE",
    "phone_2": "+1-555-765-4321",
    "phone_2_type": "WORK",
    "email_1": "emily.johnson@example.com",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "target_move_in_date": "2024-07-01",
    "desired_num_bedrooms": 2,
    "desired_lease_term_in_months": "12",
    "notes": "Interested in a pet-friendly unit with parking.",
    "events": [
      {
        "employee_id": "emp-789123456",
        "event_name": "WalkIn",
        "event_datetime": "2024-06-15T14:00:00Z",
        "lead_source_id": "leadsrc-456789123",
        "unit_id": "unit-101",
        "notes": "Initial walk-in visit, very interested.",
        "reasons_for_event": "Lead wanted to see the unit in person."
      }
    ],
    "desired_max_rent_in_cents": 150000
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/yardi/"

payload = {
    "integration_id": "intg-987654321",
    "property_id": "prop-123456789",
    "lead_source_id": "leadsrc-456789123",
    "employee_id": "emp-789123456",
    "third_party_id": "tp-20240601-001",
    "first_name": "Emily",
    "last_name": "Johnson",
    "organization_name": "Sunset Realty Group"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/yardi/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","property_id":"prop-123456789","lead_source_id":"leadsrc-456789123","employee_id":"emp-789123456","third_party_id":"tp-20240601-001","first_name":"Emily","last_name":"Johnson","organization_name":"Sunset Realty Group"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/yardi/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lead_source_id\": \"leadsrc-456789123\",\n  \"employee_id\": \"emp-789123456\",\n  \"third_party_id\": \"tp-20240601-001\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"organization_name\": \"Sunset Realty Group\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/yardi/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lead_source_id\": \"leadsrc-456789123\",\n  \"employee_id\": \"emp-789123456\",\n  \"third_party_id\": \"tp-20240601-001\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"organization_name\": \"Sunset Realty Group\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leads/yardi/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lead_source_id\": \"leadsrc-456789123\",\n  \"employee_id\": \"emp-789123456\",\n  \"third_party_id\": \"tp-20240601-001\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"organization_name\": \"Sunset Realty Group\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leads/yardi/', [
  'body' => '{
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "lead_source_id": "leadsrc-456789123",
  "employee_id": "emp-789123456",
  "third_party_id": "tp-20240601-001",
  "first_name": "Emily",
  "last_name": "Johnson",
  "organization_name": "Sunset Realty Group"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/yardi/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"property_id\": \"prop-123456789\",\n  \"lead_source_id\": \"leadsrc-456789123\",\n  \"employee_id\": \"emp-789123456\",\n  \"third_party_id\": \"tp-20240601-001\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"organization_name\": \"Sunset Realty Group\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "property_id": "prop-123456789",
  "lead_source_id": "leadsrc-456789123",
  "employee_id": "emp-789123456",
  "third_party_id": "tp-20240601-001",
  "first_name": "Emily",
  "last_name": "Johnson",
  "organization_name": "Sunset Realty Group"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/yardi/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```